accrue.analysis.pointer

## Class StmtAllocToLocal

- java.lang.Object
- - accrue.analysis.pointer.PointsToStmt
  - - accrue.analysis.pointer.StmtAllocToLocal

-     public class StmtAllocToLocal
      extends PointsToStmt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ReferenceVariable` | `left`
    `protected AllocSiteNode` | `right`

    - ### Fields inherited from class accrue.analysis.pointer.PointsToStmt

      `origin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StmtAllocToLocal(ReferenceVariable left, AllocSiteNode right, polyglot.util.Position origin, polyglot.types.CodeInstance code)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `process(CContext context, PointsToGraph g, StmtRegistrar registrar, HeapAbstractionFactory af, PointsToEngine.StmtAndContext sac)` Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.pointer.PointsToStmt

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### left

          protected final ReferenceVariable left

    - #### right

          protected final AllocSiteNode right

  - ### Constructor Detail

    - #### StmtAllocToLocal

          public StmtAllocToLocal(ReferenceVariable left,
                          AllocSiteNode right,
                          polyglot.util.Position origin,
                          polyglot.types.CodeInstance code)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `PointsToStmt`

    - #### process

          public boolean process(CContext context,
                        PointsToGraph g,
                        StmtRegistrar registrar,
                        HeapAbstractionFactory af,
                        PointsToEngine.StmtAndContext sac)

      Description copied from class: `PointsToStmt`
      Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode. Return true if and only if changes were made to the graph
      Specified by:
        `process` in class `PointsToStmt`